## boinc 7.0.27+dfsg

=== debian/changelog ===
boinc (7.0.27+dfsg-5ubuntu0.12.04.1) precise-proposed; urgency=low

  * Stable Release Update to fix multiple bugs:
    - fixes regression with Seti, Docking@Home and maybe others
      (LP: #1009536)
    - fixes crash when adding projects (LP: #1001168)
    - fixes file descriptor leak (LP: #968021)
  * debian/control: enable building of boinc-amd-opencl again (disabled in
    7.0.27+dfsg-4 for Debian specific reasons)

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 28 Jun 2012 01:17:04 +0200

boinc (7.0.27+dfsg-5) unstable; urgency=low

  * debian/rules: use dpkg-buildflags to get default flags.
  * debian/control: build-depend on dpkg-dev >= 1.16.1.1, because
    buildflags.mk and DEB_BUILD_MAINT_OPTIONS are needed.
  * debian/patches/add_hardening_flags.patch: pass CXXFLAGS, CPPFLAGS and
    LDFLAGS to hand-written Makefiles in samples/.

 -- Guo Yixuan <culu.gyx@gmail.com>  Mon, 25 Jun 2012 17:13:10 +0800

boinc (7.0.27+dfsg-4) unstable; urgency=low

  [ Steffen Moeller ]
  * Not building boinc-amd-opencl, for fglrx-driver is not in testing.
  * Adding hardening flags.
  * Addressed FTBFS on hurd (Closes: #672725)
  * debian/boinc-client.init: increasing priority of boinc client, change nice
    value from 19 to 10.

  [ Guo Yixuan ]
  * Add patch from Rom that fix the project category crash. (Closes: #641593)
  * debian/rules: fix to set sched/transitioner_catchup.php in
    boinc-server-maker executable.
  * Cherry-picking above commits from master to sid branch.
  * Add myself to uploaders.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 21 Jun 2012 22:54:52 +0800

boinc (7.0.27+dfsg-3) unstable; urgency=low

  * Now truly reconstituting compatibility with SETI
    (Closes: #672328, lp: #991179).
  * builds with gcc 4.7 (Closes: #671999)
    Thanks to Matthias Klose for his patch, had sadly only seen it after
    I patched it myself :o/  The NMU of his should not kick in because
    of the SETI incompatibility.

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 May 2012 10:59:30 +0200

boinc (7.0.27+dfsg-2) unstable; urgency=low

  * Removed a couple of patches to help preventing crash in some
    scientific apps

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 May 2012 23:39:30 +0200

boinc (7.0.27+dfsg-1) unstable; urgency=low

  * New upstream release
    - NVidia issue settled, presumably.
    - Some patches adopted by upstream.
 
 -- Steffen Moeller <moeller@debian.org>  Thu, 03 May 2012 15:01:42 +0200

boinc (7.0.26+dfsg-1) unstable; urgency=low

  * New upstream release
    - Comes with NVidia patches
    - Other incompatibilities with various projects fixed

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Apr 2012 11:43:15 +0200

boinc (7.0.25+dfsg-2) UNRELEASED; urgency=low

  * Added patch by Bernd Machenschalk to improve the uniqueness
    of clients when multiple instances are run.
  * Helping man page of stripchart.

 -- Steffen Moeller <moeller@debian.org>  Thu, 12 Apr 2012 14:04:52 +0200

boinc (7.0.25+dfsg-1) UNRELEASED; urgency=low

  [ Steffen ]
  * New upstream version (not yet with NVidia API improvements).

  [ Thorsten ]
  * Helping warnings in init scripts (Closes: #651278,#651303).
  * Fixing Python dir problem for boinc-server-maker (Closes: #657036)
  * Fixed warning for man page to stripchart.

 -- Steffen Moeller <moeller@debian.org>  Fri, 06 Apr 2012 12:15:30 +0200

boinc (7.0.24+dfsg-4) UNRELEASED; urgency=low

  * Improved support of NVidia cards - API incompatibility

 -- Steffen Moeller <moeller@debian.org>  Tue, 03 Apr 2012 19:52:07 +0200

boinc (7.0.24+dfsg-3) UNRELEASED; urgency=low

  * Support of clang through DEB_BUILD_OPTIONS 

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 23:24:24 +0200

boinc (7.0.24+dfsg-2) UNRELEASED; urgency=low

  * More adjustments of patches.

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 19:56:31 +0200
