=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Rene Mayorga <rmayorga@debian.org>,
 Daniel Hahler <ubuntu@thequod.de>,
 Guo Yixuan <culu.gyx@gmail.com>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~), po-debconf, dh-buildinfo, pkg-config (>= 0.15),
 dpkg-dev (>= 1.16.1.1),
 libtool, autoconf (>= 2.59), autotools-dev, automake1.9 (>= 1.9.3), gettext,
 docbook2x, docbook-xml, libxml2-utils,
 zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
 libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
 freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
 libxcb-util0-dev,
 libxss-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git


Package: boinc
Architecture: all
Depends: ${misc:Depends},
 boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.


Package: boinc-nvidia-cuda
Architecture: amd64 i386
Section: contrib/net
Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current, libcuda1-ia32 [amd64]|nvidia-current [amd64], ia32-libs [amd64]|nvidia-current [amd64]
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (rightously) often find it an unbearable nuissance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-amd-opencl
Architecture: amd64 i386
Section: contrib/net
Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (rightously) often find it an unbearable nuissance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.
 .
 This package is not perfect, yet. A major problem for the moment
 is the availability of the OpenCL driver for 32bit binaries for
 amd64. If this is planned, install the amd-app package provided
 through the AMD developer forum.


Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3),
 adduser,
 ca-certificates
Recommends: ia32-libs [amd64]
Suggests: boinc-app-seti, boinc-manager, x11-xserver-utils, libcuda1, libcuda1-ia32 [amd64]
Breaks: udev (<< 136-1)
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the projects application's program to be then
 wrapped by the BOINC core client.


Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client, ia32-libs-gtk [amd64]
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, for example it
 shows attached projects, running tasks or file transfers between the
 client and project servers. It also shows statistics about granted
 credits and disk usage of the client and the projects. The BOINC
 Manager has two modes of operation, the "Simple View" in which it only
 displays the most important information and the "Advanced View" in
 which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.


Package: boinc-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6-dev | libc-dev,
 libstdc++6-4.3-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files and static libraries that are
 needed to develop and compile applications which utilizes the BOINC
 infrastructure.


Package: boinc-server-maker
Architecture: any
Provides: boinc-server
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-support, python, python-mysqldb,
 mysql-server-5.0 | virtual-mysql-server, apache2 | httpd-cgi,
 php5, php5-cli, php5-mysql,
 tcsh, openssl (>= 0.9.8), adduser, libfcgi0ldbl
Recommends: libapache2-mod-php5, php5-gd, uuid-runtime,
 boinc-cgi-stripchart
Suggests: boinc-app-examples
Description: BOINC server applications and data files
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources. For every scientific problem its own distinct project-server
 must be provided. The users only run a common client with project-specific
 additions (if not self-compiled or available as a Linux distribution's
 package itself) being downloaded from the server.
 .
 This package contains the daemons and tools to create and run BOINC
 projects.


Package: boinc-app-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-server-maker
Description: example binaries for BOINC servers
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources. For every scientific problem its own distinct project-server
 must be provided. The users only run a common client with project-specific
 additions (if not self-compiled or available as a Linux distribution's
 package itself) being downloaded from the server.
 .
 This package extends the boinc-server-maker package. It features a
 series of small applications that a newly installed environment may
 decide to use for testing purposes. Having them separated has the neat
 side effect that thosee binaries may be retrieved more easily for foreign
 platforms to feed the local servers with.
 .
 The package also features the wrapper application, which is likely
 to find its audience also in real projects.


Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}), ${misc:Depends}
Suggests: libcurl3-dbg, libssl0.9.8-dbg, libwxgtk2.8-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps.


Package: boinc-cgi-stripchart
Section: libs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, gnuplot-nox, perl
Recommends: apache2|httpd-cgi
Description: CGI script for plotting basic statistical graphs
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The BOINC developers have found their charting library to be of
 interest for a larger audience. It is isolated in the BOINC source
 tree and thus presented as a separate package.
