## boinc 7.0.65%2bdfsg

=== debian/changelog ===
boinc (7.0.65+dfsg-3~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1181123)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 29 May 2013 19:20:55 +0200

boinc (7.0.65+dfsg-3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Added lightdm to init script (lp: #1177433)
  * Removed the 5 sec sleep in init script.

  [ Guo Yixuan ]
  * Removed unused lintian override for boinc-manager.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 15 May 2013 17:33:13 +0200

boinc (7.0.65+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Disabled checkin_notes in override_install_changelogs,
    not updated anymore by upstream.
  * Fixed a lintian warning.
  * Fixed boinc-amd-opencl depends on ubuntu (lp: #1176148).
  * Added project_specific_defines.h to usr/include/boinc
    (Closes: #707369, #707375)

  [ Rodrigo Silva ]
  * New debian/icons and refactor the icon size
    directories (lp: #1173622).
  * Improved manager launcher.
  * Fix typos in package descriptions. Thanks Pierre Slamich for spotting
    and Pascal De Vuyst for reporting! (Closes: #707989)

  [ Guo Yixuan ]
  * libboinc-app-dev dependency: use libstdc++6-4.7-dev as default
    libstdc++-dev,
  * boinc-server-maker dependency: use mysql-server-5.5 as default
    virtual-mysql-server, both thanks to Danilo.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 05 May 2013 11:41:37 +0200

boinc (7.0.65+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * debian/control.in dropped version check
      - pkg-config (>= 0.15)             (version 0.25   in stable)
      - autoconf (>= 2.59)               (version 2.67   in stable)
      - automake1.9 (>= 1.9.3)           (version 1.9.6  in stable)
      - libcurl4-openssl-dev (>= 7.17.1) (version 7.21.0 in stable)
      - python (>= 2.3)                  (version 2.6.6  in stable)
      - Breaks: udev (<< 136-1)          (version 164    in stable)
      - removed boinc-app-seti from boinc-client Suggests field
      - Bumped debhelper required version to 8
    debian/compat
      - Bumped to version 8

  [ Steffen Moeller ]
  * Merged work on packaging of BOINC server code
  * boinc-cgi-stripchart package now built together with server parts

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 30 Apr 2013 21:45:44 +0200

boinc (7.0.60+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Apr 2013 18:38:43 +0200

boinc (7.0.59+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * New debian/watch file for upstream git switch.
  * changing cc_client.xml permissions to boinc:boinc
    from root:boinc (lp: #1162596)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 28 Mar 2013 23:25:42 +0100

boinc (7.0.58+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix arch detection in About dialog box.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 22 Mar 2013 17:47:31 +0100

boinc (7.0.56+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    - Fix for man pages (lp: #1140560) (Thanks Christian Beer)
    - Fix for xml parsing issues.
    - Fix in work fetch.
    - Fix issue in Milkyway@Home (fixed in .55 release)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Mar 2013 15:42:42 +0100

boinc (7.0.54+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * Dropped boincmgr_fix_long_pointers.patch accepted upstream.
  * New Patch disable_new_version_check.patch (lp: #1140597)
  * Dropped libssl0.9.8-dbg suggestion and added libssl1.0.0-dbg instead
    (Closes: #702741)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 07 Mar 2013 17:06:38 +0100

boinc (7.0.53+dfsg-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Added boincmgr_fix_long_pointers.patch to fix boincmgr crash
    Thanks Alyssa Milburn (Closes: #679207)
  * Added sleep to boinc-client init script to workaround GPU
    detection issues (lp: #933354).
  * Bumped policy to 3.9.4. No changes required

  [ Guo Yixuan ]
  * Reverted the workaround for #679207.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 24 Feb 2013 23:05:30 +0100

boinc (7.0.52+dfsg-2) experimental; urgency=low

  * Try to fix ftbfs on hurd-i386.
  * Rebuild against libc6 2.13 (in sid).

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 20 Feb 2013 16:16:45 +0800

boinc (7.0.52+dfsg-1) experimental; urgency=low

  * New upstream release, all platforms.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Feb 2013 16:54:55 +0100

boinc (7.0.51+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Feb 2013 22:15:44 +0100

boinc (7.0.50+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 09 Feb 2013 13:38:34 +0100

boinc (7.0.48+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Feb 2013 15:42:50 +0100

boinc (7.0.47+dfsg-1) UNRELEASED; urgency=low

  * New upstream release, l10n updated.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 31 Jan 2013 22:09:35 +0100

boinc (7.0.46+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Fixed a FTBFS when building without zip library. (Closes: #699789)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 29 Jan 2013 23:46:33 +0100

boinc (7.0.45+dfsg-1) experimental; urgency=low

  * New upstream release
  * Removed boinc zip library from client builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 25 Jan 2013 00:01:24 +0100

boinc (7.0.44+dfsg-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release
  * Added libxext-dev and libxcb-dpms0-dev in order to address a long time

