=== debian/changelog ===
boinc (7.0.65+dfsg-3~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1181123)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 17 May 2013 18:27:31 +0200
