=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 #export CPP=/usr/lib/gcc-snapshot/bin/cpp
 
 # Set default flags with dpkg-buildflags
-# -Wformat -Werror=format-security will need many fixes to avoid ftbfs,
-# so it's disabled for now
-export DEB_BUILD_MAINT_OPTIONS = hardening=-format,+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -105,6 +103,16 @@
   #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
 endif
 
+GCCVERSION=$(shell gcc --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
+# gcc 4.6 on precise has issues while gcc 4.7 on sid is just fine
+ifneq (4.6,$(GCCVERSION))
+ifneq (4.5,$(GCCVERSION))
+ifneq (4.4,$(GCCVERSION))
+  CFLAGS += -flto
+  LDFLAGS += -flto
+endif
+endif
+endif
 
 CFLAGS += -Wall
 CXXFLAGS += -Wall
@@ -123,37 +131,78 @@
 CFLAGS_boinc-client := $(CFLAGS)
 CXXFLAGS_boinc-client := $(CXXFLAGS)
 
-# --enable-debug
+ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control.in)
+ENABLE_SERVER := --disable-server
+ifneq (,$(ENABLE_SERVER_TEST))
+ENABLE_SERVER := --enable-server
+TMP=$(shell sed -e 's/^%//' debian/control.in > debian/control)
+else
+TMP=$(shell egrep -v '^%' debian/control.in > debian/control)
+endif
+
+ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control.in)
+ENABLE_CLIENT := --disable-client --disable-manager
+ifneq (,$(ENABLE_CLIENT_TEST))
+ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
+TMP=$(shell sed -i 's/^@//' debian/control)
+else
+TMP=$(shell sed -i '/^@/d' debian/control)
+endif
+
+# --disable-static
+# For debugging, these options are useful:
+#   --enable-debug
+#   --enable-wx-debug (need to install libwxbase2.8-dbg and libwxgtk2.8-dbg)
 CFGFLAGS_boinc-client = \
   $(TYPE_FLAGS) \
   --prefix=/usr \
-  --enable-client \
-  --enable-server \
+  $(ENABLE_CLIENT) \
+  $(ENABLE_SERVER) \
   --disable-fcgi \
-  --enable-manager \
   --enable-libraries \
   --enable-unicode \
+  --enable-shared \
   --with-ssl \
   --with-x \
   CFLAGS="$(CFLAGS_boinc-client)" \
   CXXFLAGS="$(CXXFLAGS_boinc-client)" \
+  CPPFLAGS="$(CPPFLAGS)" \
   LDFLAGS="$(LDFLAGS)"
 
 
 # Default rule
+
 %:
+	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
+		echo "Generating debian/control file from debian/control.in" ; \
+		( \
+		if egrep -q '^Package:.*boinc-server-maker' debian/control.in; then \
+			sed -e 's/^%//' debian/control.in ; \
+		else \
+			egrep -v '^%' debian/control.in ; \
+		fi \
+		) | ( \
+		if egrep -q '^Package:.*boinc$$' debian/control.in; then \
+			sed -e 's/^@//' ; \
+		else \
+			sed -e '/^@/d' ; \
+		fi \
+		) > debian/control; \
+	fi
 	dh $@ --parallel --with python2
 
-clean:
-	dh clean
-	find . -name "Makefile" | grep -v samples | xargs -r rm
-	rm -f configure
-	rm -rf py/lib.linux-*-2.*
-	rm -f override_dh_auto_install client_state.xml gui_rpc_auth.cfg
+override_dh_clean:
+	dh_clean
+	rm -rf config.log
+	rm -rf clientscr/.libs override_dh_auto_install
+	rm -rf debian/boinc-app-examples debian/boinc-server-maker debian/boinc-app-examples.substvars debian/boinc-server-maker.substvars
+	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
+	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
+	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
+	rm -f debian/boinc-cgi-stripchart.substvars
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
-
 
 #test-stamp:
 #	dh_testdir
@@ -178,59 +227,14 @@
 update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
 	docbook2x-man debian/manpages/update-boinc-applinks.xml
 
-
-samples/sleeper/sleeper: build-stamp samples/sleeper/sleeper.cpp
-	$(MAKE) -C samples/sleeper
-samples/worker/worker: build-stamp samples/worker/worker.cpp
-	$(MAKE) -C samples/worker
-samples/example_app/uc2: build-stamp samples/example_app/uc2.cpp
-	$(MAKE) -C samples/example_app
-samples/wrapper/wrapper: build-stamp samples/wrapper/wrapper.cpp
-	$(MAKE) -C samples/wrapper
-
-SAMPLES=samples/sleeper/sleeper samples/worker/worker samples/example_app/uc2 samples/wrapper/wrapper
-
-build:	build-stamp $(SAMPLES)
-build-stamp:
-	dh build --parallel
-	touch $@
+# noopt
+CFLAGS_noopt = $(subst -O2,-O0,$(CFLAGS))
+CXXFLAGS_noopt = $(subst -O2,-O0,$(CXXFLAGS))
+# noopt and no hardening
+CFLAGS_plain = -g -O0 -Wall
+CXXFLAGS_plain = $(CFLAGS_plain)
 
 override_dh_auto_build: update-boinc-applinks.1
 	@echo
 	@echo "****        *****"
 	@echo "**** Making ****"
-	@echo "****        *****"
-	@echo
-	$(MAKE)
-
-	# Generate binary message catalogs of the BOINC Manager.
-	if [ -d locale/client ]; then \
-	  for i in `ls locale/client`; do \
-	    if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
-	     msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
-	      "locale/client/$$i/BOINC-Manager.po"; \
-	    fi; \
-	  done; \
-	fi
-
-BINARIES= sched/census sched/cgi sched/db_dump sched/db_purge \
-	sched/delete_file sched/feeder sched/file_deleter \
-	sched/file_upload_handler sched/get_file sched/make_work \
-	sched/message_handler sched/request_file_list sched/sample_assimilator \
-	sched/sample_bitwise_validator sched/sample_dummy_assimilator \
-	sched/sample_trivial_validator sched/sample_work_generator \
-	sched/sched_driver sched/send_file sched/show_shmem \
-	sched/single_job_assimilator sched/transitioner sched/trickle_handler \
-	sched/update_stats sched/wu_check \
-	clientgui/boincmgr
-BINARIES += samples/worker/worker samples/wrapper/wrapper samples/sleeper/sleeper \
-	samples/nvcuda/cuda samples/example_app/example_app samples/vm_wrapper/vm_wrapper \
-	samples/atiopencl/atiopencl
-
-override_dh_auto_clean: 
-	dh_auto_clean
-	find . -name Makefile.in -o -name "*.a" -o -name "*.o" | xargs -r rm
-	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp lib/crypt_prog
-	rm -rf  py/build py/lib.linux-x86_64-2.6
-	find . -name "*.pyc" | xargs -r rm
-	find . -type d -a \( -name .deps -o -name .libs \) | xargs -r rm -r
