=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://boinc.berkeley.edu/git/boinc-v2.git/refs/tags/client_release/7.0/(\d.*)
